<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "crednote.php";
$fseries = $_SESSION["society_" . $dbname];
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`billamt` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    }else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    }else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`billamt` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
}elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
}elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
}elseif ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`billamt`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.vouchno, a.vouchdt, a.accode, a.billamt, b.accode, b.name FROM credmain a, accmast b WHERE a.accode = b.accode
          and b.`active`='1' and a.`series`= '$fseries' and b.`series` = '$fseries'  $cond $sortcond  $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[vouchno],
        'vouchdt' => $r[vouchdt],
        'name' => $r[name],
        'billamt' => $r[billamt],
        'action' => "$file?mode=edit&series=$fseries&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
